Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mdm.index.matching
Interface BlockPicker

All Known Implementing Classes:
  PickAllBlocksAtOnce, SerialBlockPicker

public interface BlockPicker

A user extensible component to pick the next block definition to use for the next matching pass.

Method Summary
`java.lang.String[]` | `pickBlock(SystemObject inObject, EOSearchOptions searchOptions, java.util.ArrayList previousBlockIDs, java.util.ArrayList remainingBlockIDs)` Pick the next block ID(s) to use for the next matching pass

Method Detail

### pickBlock

    public java.lang.String[] pickBlock(SystemObject inObject,
                                        EOSearchOptions searchOptions,
                                        java.util.ArrayList previousBlockIDs,
                                        java.util.ArrayList remainingBlockIDs)
                                 throws NoBlockApplicableException

  Pick the next block ID(s) to use for the next matching pass

  Parameters:
    `inObject` - the SystemObject to match
    `searchOptions` - the options used for the search. From this it is possible to tell whether it is a weighted search or a normal match.
    `previousBlockIDs` - the list of block IDs that have already been used in previous match passes for matching this SystemObject
    `remainingBlockIDs` - a list of remaining block IDs that have not yet been used in previous match passes for matching this SystemObject
  Returns:
    the blockIDs to use for the next match pass
  Throws:
    `NoBlockApplicableException` - if no block IDs remain that are applicable This signals the MatchEngineController that matching for this SystemObject is complete

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Sun Microsystems, Inc.